{
  "$id": "https://smatchit.io/schema/pagan",
  "$comment": "To create account bin apxtrib",
  "title": "Pagans identity",
  "description": "A numeric id in the nationchains world",
  "type": "object",
  "properties": {
    "publickey": {
      "title": "Alias's publickey",
      "description": "Public key generate with openpgp.js",
      "type": "string",
      "format": "pgpAE256"
    },
    "alias": {
      "title": "Alias",
      "description": "text to remember easiky a public key",
      "type": "string",
      "minLength": 5,
      "pattern": "^[a-z0-9]*$"
    }
  },
  "required": ["publickey", "alias"],
  "apxprimarykey": ["alias"],
  "apxsecondarykey": ["publickey"],
  "apxsearchindex": [
    { "key": "alias", "val": "publickey" },
    { "key": "publickey", "val": "alias" }
  ]
}
